Bug 132232 - exec when multithreaded fails to preserve pending signals
Summary: exec when multithreaded fails to preserve pending signals
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On: 132351
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-10 02:02 UTC by Roland McGrath
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-03 08:30:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test case de_thread.c (667 bytes, text/plain)
2004-09-10 02:02 UTC, Roland McGrath
no flags Details

Description Roland McGrath 2004-09-10 02:02:12 UTC
Description of problem:


Version-Release number of selected component (if applicable):
2.6.9-rc1 

How reproducible:
100%

Steps to Reproduce:
1. See attached de_thread.c.
2. gcc -o de_thread -g de_thread.c -lpthread
3. ./de_thread ; ./de_thread  1 2 3
  
Actual results:
First run: "got: Aborted", $? = 0
Second run: No output, $? = 1

Expected results:
Second run same as first

Additional info:
Fix on the way.

Comment 1 Roland McGrath 2004-09-10 02:03:00 UTC
Created attachment 103666 [details]
test case de_thread.c

gcc -o de_thread -g de_thread.c -lpthread

Comment 2 Roland McGrath 2004-09-11 08:00:51 UTC
See bug #132351 for a fix that covers this problem.

Comment 3 Roland McGrath 2004-09-24 23:13:20 UTC
Bug #132351 is fixed upstream now with a workaround, but not the real
fix included in the report.  The fix that covers this bug as well is
now in -mm, but not yet confirmed merged upstream.

Comment 4 Roland McGrath 2004-10-20 06:15:07 UTC
My patch has gone in upstream, after 2.6.9 and hopefully in 2.6.10 release.

Comment 5 Roland McGrath 2005-01-03 08:30:35 UTC
2.6.10 has this fixed.


Note You need to log in before you can comment on or make changes to this bug.